/*
	spcembtd.c  	12/14/88

	% spc_EmbedTed

	C-scape 3.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#include <stdio.h>
#include <ctype.h>

#include "cscape.h"
#include "scancode.h"

/* special function for embedded teds */

boolean spc_EmbedTed(sed, scancode)
	sed_type sed;
	int scancode;
/*
	effects:	untraps editting keys from spc_Embed

	returns:	whatever spc_Embed returns

*/
{
	switch (scancode) {

	case UP:
	case DOWN:
	case TAB:
	case SHFT_TAB:
	case ENTER:
		/* don't let spc_Embed catch these keys */
		return(FALSE);

	case CTRL_PGUP:
		/* move upward in embeding sed */
		sed_SetBaton(sed, BOB_UP);
		sed_ToggleExit(sed);
		return(TRUE);
		
	case CTRL_PGDN:	
		/* move downward in embeding sed */
		sed_SetBaton(sed, BOB_DOWN);
		sed_ToggleExit(sed);
		return(TRUE);

	default:
		break;
	}
	return(spc_Embed(sed, scancode));
}




